CREATE TABLE irc_camp_asset_segments (
    ASSET_SEGMENT_ID         NUMBER(18, 0),
    ASSET_ID                 NUMBER(18, 0)    NOT NULL,
    GOAL_RESPONSE_ID         NUMBER(18, 0),
    SEGMENT_TYPE_CODE        VARCHAR2(120),
    CRITERIA_TYPE_CODE       VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ASSET_SEGMENT_ID         NUMBER(18, 0),
    ASSET_ID                 NUMBER(18, 0)    NOT NULL,
    GOAL_RESPONSE_ID         NUMBER(18, 0),
    SEGMENT_TYPE_CODE        VARCHAR2(120),
    CRITERIA_TYPE_CODE       VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_camp_asset_segments PRIMARY KEY (ASSET_SEGMENT_ID, ASSET_SEGMENT_ID)
);
